%define pkg_name        Mail-DomainKeys
%define pkg_version     1.0
%define rpm_pkg_version 1.0
%define rpm_pkg_release 1.n0i.2

Summary:       Perl implementation of Yahoo's DomainKeys
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AN/ANTHONYU/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Crypt::OpenSSL::RSA)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Net::DNS) >= 0.34


%description
Mail::DomainKeys is a perl implementation of Yahoo's mail signature protocol.
This library allows one to sign and verify signatures as per per draft 03 of
the DomainKeys specification:
http://www.ietf.org/internet-drafts/draft-delany-domainkeys-base-03.txt


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README THANKS


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.0-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.0

* Sun Jul 02 2006 Marius Feraru <altblue@n0i.net> - 0.82-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
